
class ModelSet {
public:
	ModelSet( char* baseName, int count );
	bool hasName( char* s );
	char* getName();
	char* getNameAt( int offset );
	int getCount() { return( count ); }
	void next();
	void forceNext();
	void registerIdx( int idx );
	void registerValue( int idx ) ;
	bool valueWasSet() { return( valueSetForIdx ); }
private:
	bool valueSetForIdx;
	int valueIdx;
	int count;
	int currentIdx;
	char* name;
};

class ModelSetManager {
public:
	ModelSetManager();
	void RegisterModelSet( ModelSet* ms );
	char* xlateName( char* name );
	int getNumberObjects();
	char* getObjectAt( int offset );
	bool next();
	void forceNext();
	char* getName() { return( modelSets[ foundIdx ]->getName() ); }
	void registerIdx( int currentIdx );    // track idx so we know if value set 
	void registerValue( int currentIdx );  // so we can know whether or not to ignore switch
private:
	ModelSet* modelSets[100];
	int modelSetIdx;
	int foundIdx;
};